package com.uas.search.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 店铺
 * 
 * @author sunyj
 * @since 2017年7月8日 下午6:14:26
 */
@Entity
@Table(name = "store$info")
public class Store implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@Id
	@Column(name = "id")
	private Long id;

	/**
	 * uuid
	 */
	@Column(name = "ST_UUID")
	private String uuid;

	/**
	 * 类型
	 */
	@Column(name = "ST_TYPE")
	private String type;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getUuid() {
		return uuid;
	}

	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@Override
	public String toString() {
		return "Store [id=" + id + ", uuid=" + uuid + ", type=" + type + "]";
	}

}
